<form class="root-reset" [formGroup]="resetForm" (submit)="onSubmit($event)">
    <h1>Recuperação Password</h1>

    <mat-form-field>
        <mat-label>Email</mat-label>
        <input
            matInput
            placeholder="Email"
            formControlName="email"
            name="email"
        />
        <mat-icon matPrefix>account_circle</mat-icon>

        <mat-error *ngIf="resetForm.controls['email'].hasError('required')">
            O campo "Email" é obrigatório.
        </mat-error>

        <mat-error
            *ngIf="
                resetForm.controls['email'].hasError('email') ||
                resetForm.controls['email'].hasError('invalidEmail')
            "
        >
            O email introduzido é inválido!
        </mat-error>
    </mat-form-field>

    <button
        mat-raised-button
        color="primary"
        type="submit"
        [disabled]="!resetForm.valid"
    >
        Recuperação de Password
    </button>

    <a routerLink="/" mat-button class="login-btn">
        Iniciar Sessão
        <mat-icon matSuffix>keyboard_arrow_right</mat-icon>
    </a>
</form>
